//Copyright (c) 2006, Steven Michaud, All Rights Reserved
//
//Permission is hereby granted, free of charge, to any person obtaining
//a copy of this software and associated documentation files (the
//"Software"), to deal in the Software without restriction, including
//without limitation the rights to use, copy, modify, merge, publish,
//distribute, sublicense, and/or sell copies of the Software, and to
//permit persons to whom the Software is furnished to do so, subject to
//the following conditions:
//
//The above copyright notice and this permission notice shall be
//included in all copies or substantial portions of the Software.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
//MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
//IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
//CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
//TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
//SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

package jep;

import java.awt.*;
import java.util.*;
import java.net.*;
import sun.applet.AppletPanel;
import sun.awt.AppContext;
import sun.awt.SunToolkit;

public class AppletFrame142Tiger extends AppletFrame {

	public AppletFrame142Tiger(long cocoaParentView, int pluginInstance,
		URL docbase, HashMap attributes, boolean isCarbonApp,
		boolean createdInvisible)
	{
		this.cocoaParentView = cocoaParentView;
		this.pluginInstance = pluginInstance;
		url = docbase;
		panel = new AppletFramePanel(docbase, attributes, this);
		add(panel);
		initialAppletBounds = new Rectangle(0, 0, panel.getWidth(),
			panel.getHeight());
		setBounds(initialAppletBounds);
		panel.setBounds(initialAppletBounds);
		panel.setAppletContext(new AppletFrameContext(this));
		currentClip = new Rectangle(initialAppletBounds);
		this.isCarbonApp = isCarbonApp;
		this.isInvisible = createdInvisible;
	}

	public long getCocoaParentView() {
		return cocoaParentView;
	}

	// This ensures that, if an applet has been created, internally generated
	// events (e.g. AWT drawing events) sent to AppletFrame (as opposed to
	// the applet itself, which is its grandchild) will run on the applet's
	// event queue.  Where it's available (Java 1.4.2 and above), we use
	// AppletPanel.changeFrameAppContext() to retarget our "frame" (Swing
	// seems to require this).  Otherwise we just use SunToolkit.
	// insertTargetMapping().  However, we don't do anything on Java 1.4.2
	// "plain" (or on Java 1.4.1) -- feeding too many events to the applet's
	// event queue seems to cause hangs on those (much slower) versions.
	public void changeFrameAppContext(AppContext appcontext) {
		if (showDebugInfo)
			System.err.println("AppletFrame142Tiger changeFrameAppContext(): Calling");
		AppletPanel.changeFrameAppContext(this, appcontext);
		// Since our AppletFramePanel is also created on the main thread,
		// we also need to change its AppContext.
		SunToolkit.insertTargetMapping(panel, appcontext);
	}

}

