//Copyright (c) 2004, Steven Michaud, All Rights Reserved
//
//Permission is hereby granted, free of charge, to any person obtaining
//a copy of this software and associated documentation files (the
//"Software"), to deal in the Software without restriction, including
//without limitation the rights to use, copy, modify, merge, publish,
//distribute, sublicense, and/or sell copies of the Software, and to
//permit persons to whom the Software is furnished to do so, subject to
//the following conditions:
//
//The above copyright notice and this permission notice shall be
//included in all copies or substantial portions of the Software.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
//MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
//IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
//CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
//TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
//SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

// As of Apple's Java 1.4.2 Update 1 DP1, this class needs to be in the
// same package as CPanel (i.e. apple.awt).  That's because CPanel's
// constructor is no longer "public", and in fact has no access modifier
// at all -- which means that it can only be accessed from within the same
// package.  Fortunately we're allowed to insinuate this class into the
// apple.awt package -- it may help that we give ourselves "all permissions"
// in AppletHandlerFactory.initProperties(), and that our jarfile is in the
// JVM's xbootclasspath.
package apple.awt;

import jep.*;
import java.awt.*;

// See description of MyCToolkit class.

public class MyCPanel141 extends MyCPanel {

	public static MyCPanel createNew(Panel panel, AppletFrame ancestor) {
		MyCPanel newPeer = new MyCPanel141(panel);
		newPeer.setAncestor(ancestor);
		return newPeer;
	}

	public MyCPanel141(Component component) {
		super(component);
	}

	public int initPeer(int view) {
		int retval = super.initPeer(view);
		fPeerPainterLOCKABLE = new MyPeerPaintEvent141(this, getViewPtr());
		return retval;
	}

}

