/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is 
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *        Steven Michaud
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or 
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

#ifndef nsjvmFixes_h___
#define nsjvmFixes_h___

#define nsIJRIPlugin_h___ // Don't include nsIJRIPlugin.h
#include "nsjvm.h"

/* Deal with breakage caused by the fix for bmo bug 326273.  See:
 * https://bugzilla.mozilla.org/show_bug.cgi?id=338685
 * https://bugzilla.mozilla.org/show_bug.cgi?id=326273
 */
#ifndef NS_IJVMTHREADMANAGER_IID
#define NS_IJVMTHREADMANAGER_IID \
  {0x97bb54c0, 0x6846, 0x11d2, \
    { 0x80, 0x1f, 0x00, 0x80, 0x5f, 0x71, 0x10, 0x1c }}
typedef nsIThreadManager nsIJVMThreadManager;
#endif

// From MRJPlugin.cpp.
extern nsID nsIJVMThreadManagerIID;

#endif /* nsjvmFixes_h___ */
