/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is 
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *        Steven Michaud
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or 
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

#include "Carbon.r"

resource 'CNTL' (128, purgeable) {
	{48, 88, 64, 288},
	0,
	visible,
	0,
	0,
	272,
	0,
	""
};

resource 'CNTL' (129, purgeable) {
	{76, 88, 92, 288},
	0,
	visible,
	0,
	0,
	274,
	0,
	""
};

resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{76, 224, 96, 292},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{76, 144, 96, 208},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{16, 92, 32, 292},
		Control {
			enabled,
			128
		},
		/* [4] */
		{44, 92, 60, 292},
		Control {
			enabled,
			129
		},
		/* [5] */
		{44, 12, 64, 88},
		StaticText {
			disabled,
			"Password:"
		},
		/* [6] */
		{16, 12, 36, 80},
		StaticText {
			disabled,
			"Name:"
		}
	}
};

data 'DLGX' (128) {
	$"0843 6861 7263 6F61 6C00 0000 0000 0000"            /* .Charcoal....... */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"000C 0000 0000 0000 0004 0004 0000 0000"            /* ................ */
	$"0006 0000 0000 0000 0000 0000 0000 0001"            /* ................ */
	$"0000 0000 0000 0000 0000 0005 0000 0000"            /* ................ */
	$"0000 0000 0000 0005 0000 0000 0000 0000"            /* ................ */
	$"0000 0006 0000 0000 0000 0000 0000 0006"            /* ................ */
	$"0000 0000 0000 0000 0000"                           /* .......... */
};

resource 'DLOG' (128, "Authentication", purgeable) {
	{259, 337, 371, 645},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	128,
	"MRJ Plugin:  Enter Name & Password",
	alertPositionParentWindow
};

resource 'dctb' (128) {
	{	/* array ColorSpec: 5 elements */
		/* [1] */
		wContentColor, 65535, 65535, 65535,
		/* [2] */
		wFrameColor, 0, 0, 0,
		/* [3] */
		wTextColor, 0, 0, 0,
		/* [4] */
		wHiliteColor, 0, 0, 0,
		/* [5] */
		wTitleBarColor, 65535, 65535, 65535
	}
};

resource 'dlgx' (128) {
	versionZero {
		11
	}
};

data 'ictb' (128) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000"                      /* ............ */
};

